---
---

<div class="rich-text">
    <slot/>
</div>

<style is:global>
    .rich-text {
        max-width: 60ch;
        margin-inline: auto;
    }

    .rich-text > *:not(:first-child) {
        margin-block-start: 1rem;
    }

    .rich-text img {
        margin-inline: auto;
    }

    .rich-text p {
        line-height: 1.75;
    }

    .rich-text ul {
        margin-block-end: 0;
        padding-inline-start: 1rem;
        list-style-type: none;
    }

    .rich-text li::before {
        content: "\2192";
        margin-inline-end: 0.5rem;
    }

    .rich-text a {
        color: var(--primary-color);
        text-decoration-color: var(--primary-color);
        text-decoration-thickness: 2px;
        text-decoration-line: none;
        text-decoration-skip-ink: none;
        text-decoration-style: solid;
    }

    .rich-text a:hover {
        text-decoration-line: underline;
    }
</style>
